<template>
  <section
    class="bg-white rounded-[12px] shadow"
    :class="{ 'p-4 lg:p-6': !resetPaddings }"
  >
    <slot />
  </section>
</template>

<script setup lang="ts">
type ContainerProps = {
  resetPaddings?: boolean;
}

defineProps<ContainerProps>();
</script>